List
Lists mirrored Courie orders for the caller’s organization with filtering, sorting, and pagination. | () -> (CourieOrderListRes)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
sort_by
Field to sort by.
Allowed values:
sort_order
Sort order (asc or desc).
Allowed values:
page
page_size
filter_provider_org_id
Filter by provider org ID(s)
filter_integration_order_id
Filter by Courie's exact order ID
filter_customer_id
Filter by the Courie customer the order belongs to
filter_provider_status
Filter by Courie's own order status
filter_mirrored_at_timestamp_gte
Filter mirrored_at_timestamp >= value
filter_mirrored_at_timestamp_lte
Filter mirrored_at_timestamp <= value
filter_created_at_timestamp_gte
Filter created_at_timestamp >= value
filter_created_at_timestamp_lte
Filter created_at_timestamp <= value
filter_updated_at_timestamp_gte
Filter updated_at_timestamp >= value
filter_updated_at_timestamp_lte
Filter updated_at_timestamp <= value
Response
Successful Response
items
total_count
Errors
422
Orders List V1request Unprocessable Entity Error

